package go_handler_template

const ServiceProductionPipeline = `
kind: pipeline
type: docker
name: 部署production-service-{{ .Name }}

steps:
  - name: build
    image: plugins/docker
    volumes:
      - name: docker
        path: /var/run/docker.sock
    settings:
      username:
        from_secret: reg_username
      password:
        from_secret: reg_password
      repo: reg.icechen.cn/{{ .NameSpace }}/{{ .Name }}
      registry: reg.icechen.cn
      tags: ${DRONE_COMMIT:0:8}
      dockerfile: ./{{ .Root }}/Dockerfile

  - name: run
    image: docker
    volumes:
      - name: docker
        path: /var/run/docker.sock
    commands:
      - docker rm -f {{ .NameSpace }}-{{ .Name }}
      - docker run -d --name="{{ .NameSpace }}-{{ .Name }}" --network="nginx-net"{{ range $key, $value := .ServiceEnv }} --env {{ $key }}={{ $value }} {{ end }}reg.icechen.cn/{{ .NameSpace }}/{{ .Name }}:${DRONE_COMMIT:0:8}

volumes:
  - name: docker
    host:
      path: /var/run/docker.sock
`
